Sorry, you need to enable JavaScript to visit this website.

DO NOT install on UBUNTU 16.04

0 posts / 0 new
P P's picture
Starter
P P

Dec 19, 2016 - 04:41am

  • P P's picture
    P P

    Ubuntu nouveau (or whatever) drivers, the default stocked ones have very poor perf and OpenGL support. Opengl 3.0 and GLSL 1.3.

    According to intel own manuals the HD 4400 should handle OpenGL up to 4.0.

    glxinfo | grep 'OpenGL'

    OpenGL vendor string: Intel Open Source Technology Center OpenGL renderer string: Mesa DRI Intel(R) Haswell Mobile OpenGL core profile version string: 3.3 (Core Profile) Mesa 13.1.0-devel OpenGL core profile shading language version string: 3.30 OpenGL core profile context flags: (none) OpenGL core profile profile mask: core profile OpenGL core profile extensions: OpenGL version string: 3.0 Mesa 13.1.0-devel OpenGL shading language version string: 1.30 OpenGL context flags: (none) OpenGL extensions: OpenGL ES profile version string: OpenGL ES 3.1 Mesa 13.1.0-devel OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.10 OpenGL ES profile extensions:

    So I decided to install the drivers from intel, redirected to 01.org. WITH the hope to get higher GL support.

    UNFORTUNATELY: after installing using very wierd installer (for a deb file) I ended up with broken system where I have flickering of the monitor (pretty random on top of it) also no change of openGL, basically same report I got from glxinfo :( default kernel 4.4.x

    Dec 19, 2016 - 04:41am